#
# spec file for package perl-Net-Dropbox-API
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Net-Dropbox-API
Name:           perl-Net-Dropbox-API
Version:        1.900.0
Release:        1.3
# 1.9 -> normalize -> 1.900.0
%define cpan_version 1.9
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Dropbox API interface
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NO/NORBU/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::Random)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Net::OAuth)
BuildRequires:  perl(URI)
BuildRequires:  perl(common::sense)
Requires:       perl(Data::Random)
Requires:       perl(HTTP::Request::Common)
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Mouse)
Requires:       perl(Net::OAuth)
Requires:       perl(URI)
Requires:       perl(common::sense)
Provides:       perl(Net::Dropbox::API) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
A dropbox API interface

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
PERL_USE_UNSAFE_INC=1 perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples ignore.txt README

%changelog
* Thu Feb  6 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Sat Mar 17 2018 bwiedemann@suse.com
- Fix build
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.9
  see /usr/share/doc/packages/perl-Net-Dropbox-API/Changes
  1.9     2012-10-23T20:26:55
    updated Module::Install
  1.8     2012-03-23T12:47:13
    Thanks to SureVoIP for updating to v1 API
  1.7     2011-06-28T12:21:36
    fixed missing requires in Makefile (fixes CPAN Testers reported
    bug)
  1.6.1   2011-06-16T13:16:50
    fixes #16
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.7
  see /usr/share/doc/packages/perl-Net-Dropbox-API/Changes
  1.7     2011-06-28T12:21:36
    fixed missing requires in Makefile (fixes CPAN Testers reported
    bug)
  1.6.1   2011-06-16T13:16:50
    fixes #16
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 1.6:
  * bugfix release with patches from mschilli and s-aska
* Mon May  9 2011 pascal.bleser@opensuse.org
- update to 1.5:
  * list() now accepts an optional 'hash' value to implement if-modified-since
    to verify if dropbox data has changed since the last call
* Tue Apr 12 2011 pascal.bleser@opensuse.org
- update to 1.4:
  * supplement documentation
  * use HTTPS everywhere
- changes from 1.3:
  * Dropbox Changed the authorized url
* Wed Mar 23 2011 pascal.bleser@opensuse.org
- update to 1.2:
  * fix utf8 copy, move, delete, mkdir, putfile
* Thu Feb 24 2011 pascal.bleser@opensuse.org
- initial version (1.1)
